<?php
    include "../conexion/conexion.php";
    session_start();
    date_default_timezone_set("America/Lima");
    $hora = date("H:i");

    $usuario = $_POST['txtusuario'];
    $dni = $_POST['txtdni'];
    $correo = $_POST['txtcorreo'];
    $pass = $_POST['txtpass'];
    $sede = $_POST['cbosede'];
    $tipodocumento = $_POST['cbotipodocumento'];
    $turno = $_POST['cboturno'];
    $estado = "1";  
    $idrol = "3";
    $fechaingreso = date("Y-m-d");
    $celular1 = $_POST['txtcelular'];
    $celular= trim($celular1);
    $idempresa = 1;
    
    // ESTADO USUARIO 1 = PENDIENTE
    // ESTADO USUARIO 2 = ACTIVO
    // ESTADO USUARIO 3 = DESACTIVO

    $sql = "select count(*) from usuario where correo='$correo' or dni='$dni'";
    $filas = current($pdo->query($sql)->fetch());

    if($filas > 0){
        echo '<script type="text/javascript">alert("Usuario ya está Registrado");window.location.href="login.php";</script>';
    }
    else{
        $sql="INSERT INTO usuario VALUES (null,?,?,?,?,?,?,?,?,?,?,?,?);";
        $sentencia = $pdo->prepare($sql);   
        $sentencia->bindParam(1,$usuario);
        $sentencia->bindParam(2,$tipodocumento);
        $sentencia->bindParam(3,$dni);
        $sentencia->bindParam(4,$correo);
        $sentencia->bindParam(5,$pass);
        $sentencia->bindParam(6,$celular);
        $sentencia->bindParam(7,$sede);
        $sentencia->bindParam(8,$idempresa);
        $sentencia->bindParam(9,$turno);
        $sentencia->bindParam(10,$estado);
        $sentencia->bindParam(11,$idrol);
        $sentencia->bindParam(12,$fechaingreso);

            
        if($sentencia->execute()){
            echo '<script type="text/javascript">alert("Solicitud de Registro enviada");window.location.href="login.php";</script>';}
        else{
            echo '<script type="text/javascript">alert("Error al registrarse");window.location.href="login.php";</script>';
            }
    }
?>